Skip to main content
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
knowledge
/
links
Add links
curl --request POST \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/knowledge/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "urls": [
    "https://example.com/docs"
  ],
  "syncFrequency": "NEVER"
}
'
{
  "ok": true,
  "data": {
    "document": {
      "id": "document-id",
      "name": "Example document",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json
urls
string<uri>[]
required
Required array length: 1 - 1000 elements
syncFrequency
enum<string>
default:NEVER
Available options:
NEVER,
DAILY,
WEEKLY,
MONTHLY
scrapeOptions
object
metadata
object

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required